QStylePlugin(3qt)

NAME
QStylePlugin - Abstract base for custom QStyle plugins

SYNOPSIS
#include <ntqstyleplugin.h>

  Public Members
QStylePlugin ()
~QStylePlugin ()
virtual QStringList keys () const = 0
virtual QStyle * create ( const TQString & key ) = 0

DESCRIPTION
The QStylePlugin class provides an abstract base for custom QStyle plugins.

The style plugin is a simple plugin interface that makes it easy to create custom styles that can be loaded dynamically into applications with a QStyleFactory.

Writing a style plugin is achieved by subclassing this base class, reimplementing the pure virtual functions keys() and create(), and exporting the class with the Q_EXPORT_PLUGIN macro. See the plugins documentation for an example.

See also Plugins.

MEMBER FUNCTION DOCUMENTATION

QStylePlugin::QStylePlugin ()
Constructs a style plugin. This is invoked automatically by the Q_EXPORT_PLUGIN macro.

QStylePlugin::~QStylePlugin ()
Destroys the style plugin.

You never have to call this explicitly. TQt destroys a plugin automatically when it is no longer used.

QStyle * QStylePlugin::create ( const TQString & key ) [pure virtual]
Creates and returns a QStyle object for the style key key. The style key is usually the class name of the required style.

See also keys().

QStringList QStylePlugin::keys () const [pure virtual]
Returns the list of style keys this plugin supports.

These keys are usually the class names of the custom styles that are implemented in the plugin.

See also create().

SEE ALSO
http://doc.trolltech.com/ntqstyleplugin.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2007 Trolltech ASA, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive TQt documentation is provided in HTML format; it is located at $TQTDIR/doc/html and can be read using TQt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (tqstyleplugin.3qt) and the Qt version (3.3.8).